
from FX import *

lightDir = [0.0, 1.0, 1.0]

# A gold material
ambient = (0.24725, 0.1995, 0.0745)
diffuse = (0.75164, 0.60648, 0.22648)
specular = (0.88281, 0.805802, 0.56065)
shininess = 80.0

vs = Cg( """
void main(float4 position : POSITION,
          float4 normal   : NORMAL,

      out float4 oPosition : POSITION,
      out float3 oColor    : COLOR,

  uniform float4x4 modelViewProj,
  uniform float4x4 modelViewIT,
  uniform float4x4 modelView,
  uniform float3 lightDir,
  uniform float3 ambient,
  uniform float3 diffuse,
  uniform float3 specular,
  uniform float shininess)
{
  oPosition = mul(modelViewProj, position);

  float4 worldPosition = mul(modelView, position);

  float3 n = normalize(mul(modelViewIT, normal).xyz);
  float3 l = normalize(lightDir);
  float3 v = normalize(-worldPosition.xyz);
  float3 h = normalize(l + v);
  float4 lcs = lit(dot(n, l), dot(n, h), shininess);

  oColor = (lcs.x * ambient + lcs.y * diffuse + lcs.z * specular);
}""")


technique = [Pass(VertexShader = vs())]



